#
# spec file for package python-yamllint
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-yamllint
Version:        1.15.0
Release:        lp151.1.1
Summary:        A linter for YAML files
License:        GPL-3.0-only
Group:          Development/Languages/Python
URL:            https://github.com/adrienverge/yamllint
Source:         https://files.pythonhosted.org/packages/source/y/yamllint/yamllint-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-PyYAML
Requires:       python-pathspec >= 0.5.3
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module PyYAML}
BuildRequires:  %{python_module pathspec >= 0.5.3}
# nose is optional, used only to exclude a failing test caused by PyYAML
# deprecation warnings.
BuildRequires:  %{python_module nose}
# /SECTION
%python_subpackages

%description
A linter for YAML files.

YAMLlint does not only check for syntax validity, but for weirdnesses like key
repetition and cosmetic problems such as lines length, trailing spaces,
indentation, etc.

%prep
%setup -q -n yamllint-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec -m nose -e test_run_auto_output_without_tty_output

%files %{python_files}
%doc README.rst
%license LICENSE
%python3_only %{_bindir}/yamllint
%{python_sitelib}/*

%changelog
* Thu Feb 14 2019 John Vandenberg <jayvdb@gmail.com>
- Update to 1.15.0
  * Add command line option - to read from standard input
- Disable a flaky test caused by PyYAML
* Mon Feb 11 2019 John Vandenberg <jayvdb@gmail.com>
- Update to 1.14.0
  * Fix documentation code snippets
  * Drop Python 2.6 and 3.3 support, add Python 3.7 support
  * Update documentation and tests for ``line-length`` + Unicode + Python 2
  * Allow rule configurations to lack options
  * Add a new ``ignore-shebangs`` option for the ``comments`` rule
* Sun Dec 30 2018 John Vandenberg <jayvdb@gmail.com>
- Update to 1.13.0
  * Add a new -f colored option
- Update to 1.12.1
  * Fix the `quoted-strings` rule
- Update to 1.12.0
  * Add a new `quoted-strings` rule
- Changes file fix
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu May 24 2018 toddrme2178@gmail.com
- Update to 0.11.1
  * Handle merge keys (`<<`) in the `key-duplicates` rule
  * Update documentation about pre-commit
  * Make examples for `ignore` rule clearer
  * Clarify documentation on the 'truthy' rule
  * Fix crash in parser due to a change in PyYAML > 3.12
- Update to 1.11.0
  * Add a new `octal-values` rule
- Spec file cleanups
* Thu Nov 16 2017 toddrme2178@gmail.com
- Initial version
